/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Firmenkunde;

public class Lesen {

	public static void main(String[] args) throws Exception {

		Provider.select("eclipselink");
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();
		
		// Geht nur mit OpenJPA:
//		Kunde kunde = em.find(Kunde.class, 101);
//		System.out.println("kunde: " + kunde);
		
		
		Firmenkunde firmenkunde = em.find(Firmenkunde.class, 3);
		System.out.println("Firmenkunde: " + firmenkunde);
		System.out.println("Adresse: " + firmenkunde.getAdresse());

		em.getTransaction().commit();

		em.clear();
		emf.close();
	}
}
