/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Adresse;
import de.jpainfo.model.Anrede;
import de.jpainfo.model.Firmenkunde;
import de.jpainfo.model.Kunde;
import de.jpainfo.model.Privatkunde;


public class Schreiben {
	
		public static void main(String[] args) throws Exception {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();

		
		em.getTransaction().begin();

		Kunde kunde1 = new Privatkunde("Max", "Mustermann", "29.7.1962", Anrede.HERR);
		kunde1.setAdresse(new Adresse("Goethestr.", "127b", "01234", "Entenhausen"));
		Kunde kunde2 = new Firmenkunde("Meier & Schmidt GmbH");
		kunde2.setAdresse(new Adresse("Schillerstr.", "5", "01234", "Entenhausen"));

		em.persist(kunde1);
		em.persist(kunde2);

		em.getTransaction().commit();

		em.clear();
		emf.close();
	}
}
